> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /billing/invoice

> Fetches a list of invoices for the logged in organisation



## OpenAPI

````yaml /openapi.json get /v1/billing/invoice
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/billing/invoice:
    get:
      tags:
        - Billing/Invoice
        - public
      summary: /billing/invoice
      description: Fetches a list of invoices for the logged in organisation
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        org_name:
                          type: string
                        user_id:
                          type: integer
                          nullable: true
                        record:
                          type: string
                        type:
                          type: string
                          nullable: true
                        status:
                          type: string
                        date:
                          type: string
                        date_updated:
                          type: string
                        date_due:
                          type: string
                        date_start:
                          type: string
                        date_end:
                          type: string
                        base_amount:
                          type: number
                        base_sub_amount:
                          type: number
                        base_currency:
                          type: string
                        target_amount:
                          type: number
                          nullable: true
                        target_currency:
                          type: string
                        target_rate:
                          type: number
                          nullable: true
                        tax:
                          type: integer
                        notes:
                          type: string
                          nullable: true
                      required:
                        - id
                        - org_name
                        - user_id
                        - record
                        - type
                        - status
                        - date
                        - date_updated
                        - date_due
                        - date_start
                        - date_end
                        - base_amount
                        - base_sub_amount
                        - base_currency
                        - target_amount
                        - target_currency
                        - target_rate
                        - tax
                        - notes
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - id: 3667
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: GENERATED
                    date: '2025-11-01 06:30:01'
                    date_updated: '2025-11-01 06:30:01'
                    date_due: '2025-11-30 00:00:00'
                    date_start: '2025-10-01'
                    date_end: '2025-10-31'
                    base_amount: 72502.07
                    base_sub_amount: 72502.07
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3609
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: MISSING_PAYMENT_INFO
                    date: '2025-10-01 06:30:01'
                    date_updated: '2025-10-30 06:30:02'
                    date_due: '2025-10-30 00:00:00'
                    date_start: '2025-09-01'
                    date_end: '2025-09-30'
                    base_amount: 69809.26
                    base_sub_amount: 69809.26
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3575
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: MISSING_PAYMENT_INFO
                    date: '2025-09-01 06:30:01'
                    date_updated: '2025-09-30 06:30:29'
                    date_due: '2025-09-30 00:00:00'
                    date_start: '2025-08-01'
                    date_end: '2025-08-31'
                    base_amount: 72496.08
                    base_sub_amount: 72496.08
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3525
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-08-01 06:30:07'
                    date_updated: '2025-08-01 06:30:07'
                    date_due: '2025-08-30 00:00:00'
                    date_start: '2025-07-01'
                    date_end: '2025-07-31'
                    base_amount: 72492.84
                    base_sub_amount: 72492.84
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3482
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-07-01 06:30:07'
                    date_updated: '2025-07-01 06:30:07'
                    date_due: '2025-07-30 00:00:00'
                    date_start: '2025-06-01'
                    date_end: '2025-06-30'
                    base_amount: 69826.93
                    base_sub_amount: 69826.93
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3433
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-06-01 06:30:07'
                    date_updated: '2025-06-01 06:30:07'
                    date_due: '2025-06-30 00:00:00'
                    date_start: '2025-05-01'
                    date_end: '2025-05-31'
                    base_amount: 72501.82
                    base_sub_amount: 72501.82
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3384
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-05-01 06:30:07'
                    date_updated: '2025-05-01 06:30:07'
                    date_due: '2025-05-30 00:00:00'
                    date_start: '2025-04-01'
                    date_end: '2025-04-30'
                    base_amount: 69850.75
                    base_sub_amount: 69850.75
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3326
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-04-01 06:30:07'
                    date_updated: '2025-04-01 06:30:07'
                    date_due: '2025-04-30 00:00:00'
                    date_start: '2025-03-01'
                    date_end: '2025-03-31'
                    base_amount: 72539.02
                    base_sub_amount: 72539.02
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3307
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-03-01 06:30:06'
                    date_updated: '2025-03-01 06:30:06'
                    date_due: '2025-03-30 00:00:00'
                    date_start: '2025-02-01'
                    date_end: '2025-02-28'
                    base_amount: 64911.85
                    base_sub_amount: 64911.85
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3255
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-02-01 06:30:05'
                    date_updated: '2025-02-01 06:30:05'
                    date_due: '2025-03-02 00:00:00'
                    date_start: '2025-01-01'
                    date_end: '2025-01-31'
                    base_amount: 72584.35
                    base_sub_amount: 72584.35
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3214
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2025-01-01 06:30:05'
                    date_updated: '2025-01-01 06:30:05'
                    date_due: '2025-01-30 00:00:00'
                    date_start: '2024-12-01'
                    date_end: '2024-12-31'
                    base_amount: 72560.27
                    base_sub_amount: 72560.27
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3159
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2024-12-01 06:30:07'
                    date_updated: '2024-12-01 06:30:07'
                    date_due: '2024-12-30 00:00:00'
                    date_start: '2024-11-01'
                    date_end: '2024-11-30'
                    base_amount: 69887.36
                    base_sub_amount: 69887.36
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3138
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2024-11-01 06:30:05'
                    date_updated: '2024-11-01 06:30:05'
                    date_due: '2024-11-30 00:00:00'
                    date_start: '2024-10-01'
                    date_end: '2024-10-31'
                    base_amount: 72526.14
                    base_sub_amount: 72526.14
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3083
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2024-10-01 06:30:07'
                    date_updated: '2024-10-01 06:30:07'
                    date_due: '2024-10-30 00:00:00'
                    date_start: '2024-09-01'
                    date_end: '2024-09-30'
                    base_amount: 69848.91
                    base_sub_amount: 69848.91
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 3002
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2024-09-01 07:52:42'
                    date_updated: '2024-09-01 07:52:42'
                    date_due: '2024-09-30 00:00:00'
                    date_start: '2024-08-01'
                    date_end: '2024-08-31'
                    base_amount: 72527.49
                    base_sub_amount: 72527.49
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                  - id: 2949
                    org_name: DEMO
                    user_id: null
                    record: invoice
                    type: null
                    status: VOID
                    date: '2024-08-01 06:30:06'
                    date_updated: '2024-08-01 06:30:06'
                    date_due: '2024-08-30 00:00:00'
                    date_start: '2024-07-01'
                    date_end: '2024-07-31'
                    base_amount: 72256.37
                    base_sub_amount: 72256.37
                    base_currency: GBP
                    target_amount: null
                    target_currency: GBP
                    target_rate: null
                    tax: 0
                    notes: null
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````